# Class DataStoreReferencingException

Object
Throwable
Exception
DataStoreException
DataStoreReferencingException

All Implemented Interfaces:
  `Serializable`, `LocalizedException`

public class DataStoreReferencingException extends DataStoreException
Thrown when a data store failed to construct the coordinate reference system (CRS) or other positioning information. This exception is typically (but not necessarily) caused by `FactoryException` or `TransformException`.

Since:
  0.8
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataStoreReferencingException(String message)`
  Creates an exception with the specified details message.
  `DataStoreReferencingException(String message, Throwable cause)`
  Creates an exception with the specified details message and cause.
  `DataStoreReferencingException(Throwable cause)`
  Creates an exception with the specified cause and no details message.
  `DataStoreReferencingException(Locale locale, String format, String filename, Object store)`
  Creates a localized exception with a message saying that the given store cannot be read.

- ## Method Summary

  ### Methods inherited from class DataStoreException

  `getInternationalMessage, getLocalizedMessage, getMessage, initCause`

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DataStoreReferencingException

    public DataStoreReferencingException(String message)
    Creates an exception with the specified details message.
    Parameters:
      `message` - the detail message.

  - ### DataStoreReferencingException

    public DataStoreReferencingException(Throwable cause)
    Creates an exception with the specified cause and no details message. The given cause should (but is not required to) be a `FactoryException` or `TransformException`.
    Parameters:
      `cause` - the cause for this exception.

  - ### DataStoreReferencingException

    public DataStoreReferencingException(String message, Throwable cause)
    Creates an exception with the specified details message and cause. The given cause should (but is not required to) be a `FactoryException` or `TransformException`.
    Parameters:
      `message` - the detail message.
      `cause` - the cause for this exception.

  - ### DataStoreReferencingException

    public DataStoreReferencingException(Locale locale, String format, String filename, Object store)
    Creates a localized exception with a message saying that the given store cannot be read. Location in the file where the error occurred while be fetched from the given `store` argument if possible. If the given store is not recognized, then it will be ignored.

    This constructor should be followed by a call to `DataStoreException​.initCause(Throwable)` with a `FactoryException` or `TransformException` cause.

    Parameters:
      `locale` - the locale of the message to be returned by `DataStoreException​.getLocalizedMessage()`, or `null`.
      `format` - short name or abbreviation of the data format (e.g. "CSV", "GML", "WKT", etc).
      `filename` - name of the file or data store where the error occurred.
      `store` - the input or output object from which to get the current position, or `null` if none. This can be a `LineNumberReader` or `XMLStreamReader` for example.